<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <title>API</title>
        <link rel="stylesheet" href="bulma.min.css" />

        <script defer src="api.js"></script>
    </head>
    <body class="container">
        <h1 class="title is-1 has-text-centered">API</h1>
        <div class="columns">
            <div class="column">
                <form class="box" onsubmit="buscarMath(event)">
                    <label for="numMath" class="label has-text-centered"
                        >Ve qué datos matemáticos interesantes hay acerca de un número
                    </label>
                    <div class="field">
                        <div class="control is-medium">
                            <input
                                class="input is-medium is-rounded"
                                type="text"
                                name="numMath"
                                id="numMath"
                                placeholder="1"
                            />
                        </div>
                    </div>
                    <div class="field">
                        <div class="control has-text-centered">
                            <button
                                class="button is-primary is-rounded"
                                type="submit"
                                id="control-num-math"
                            >
                                Ver datos matemáticos
                            </button>
                        </div>
                    </div>
                    <p class="is-size-5 is-italic has-text-centered" id="resultadoMath"></p>
                </form>
            </div>
            <div class="column">
                <form class="box" onsubmit="buscarTrivia(event)">
                    <label for="artista" class="label has-text-centered"
                        >Ve datos curiosos acerca de un número
                    </label>
                    <div class="field">
                        <div class="control is-medium">
                            <input
                                class="input is-medium is-rounded"
                                type="text"
                                name="numTrivia"
                                id="numTrivia"
                                placeholder="1"
                            />
                        </div>
                    </div>
                    <div class="field">
                        <div class="control has-text-centered">
                            <button
                                class="button is-primary is-rounded"
                                type="submit"
                                id="control-num-trivia"
                            >
                                Ver datos curiosos número
                            </button>
                        </div>
                    </div>
                    <p class="is-size-5 is-italic has-text-centered" id="resultadoTrivia"></p>
                </form>
            </div>
        </div>
    </body>
</html>
